Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Hook.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`

Include dependency graph for Thread_Hook.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Thread_Hook
| This class makes it possible to provide user-defined "start" hooks that are called before the thread entry point function is invoked. More...

## Detailed Description

Id:
  Thread_Hook.h,v 4.6 2003/11/06 18:19:39 dhinton Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>